[sf-lug] sf-lug:building but missing dependencies

jim jim at well.com
Sun Mar 21 12:26:09 PDT 2010

   i don't know xandros, so i can't help much 
if at all. the info in your email is good stuff. 
if you can identify each item in the list of 
missing dependencies, try using whatever xandros 
uses as a package manager to get each of the 
   i don't use emacs, so i don't know its 
dependencies. i believe there's some utility 
(command) that shows a dependency tree, but i 
can't recall exactly; maybe someone else can. 
   i suppose you've explored the emacs home 
   if you're considering downloading a tarball 
or getting emacs without using the xandros 
package manager, give some extra tho't: if you 
bypass the package manager, you have the risk 
of downloading libraries in that way, and the 
package manager is likely to overwrite your 
libs the next time it finds a need to update 
that lib. you're also bound to maintain the 
program without the package manager. you can 
engineer some protection by installing your 
tarball and any of its required libs by putting 
it all in some dedicated directory tree, e.g. 
/usr/local/emacs or some such. 

   i have no doubt that others reading this 
will have corrections and improvements. 

On Fri, 2010-03-19 at 01:29 -0700, Tony wrote:
> Hi,
> I went down a lil rabbit hole and wonder if I got permanently stuck.
> I'm trying to get emacs 23.1 on my eeepc 701 with stock custom
> xandros.
> The eee forums had a few pointers [1] but I seem to be missing a few
> dependencies [2] despite adding and pinning. [3]
> I then tried to compile from source [4] but when I got to >make
> install  got a missing piece.[5] 
> Checking the etc/PROBLEMS file, the only clue suggests reinstalling
> GCC but i specified -nox so that doesn't make sense??
> I did try this method installing dependencies [6] and using 23.1 from
> gnu, but also was not able to get it working either.
> My last option is to install a new distro in hopes it is this eee
> xandros fluke. 
> I checked and there are so many 'ubuntus' for eeepc, it's swimmingly
> confusing but i'll need to pick up some flash drives first.
> Learning linux is certainly challenging!
> Anyone know of other options to get the missing bits?
> Any advice, pointers, links or suggestions much obliged.
> Best,
> tony
> [1] http://emacs.orebokech.com/
> [2] The following packages have unmet dependencies
>   emacs-snapshot-nox: Depends: emacs-snapshot-bin-common (=
> 1:20100318-1) but it is not going to be installed
>                       Depends: libgpm2 (>= 1.20.4) but it is not
> installable
>                       Depends: libncurses5 (>= 5.7+20100313) but 5.5-5
> is to be installed
>                       PreDepends: dpkg (>= 1.14.21) but 1.13.25 is to
> be installed
> E: Broken packages
> [3] http://wiki.eeeuser.com/addingxandrosrepos
> [4] http://www.gnu.org/software/emacs/emacs-faq.html#Installing-Emacs
> [5] makeinfo is missing - cannot build manuals
> make: *** [info] Error 1
> [6]
> http://ryepup.unwashedmeme.com/blog/2008/02/08/compiling-emacs22-on-my-eeepc/
> _______________________________________________
> sf-lug mailing list
> sf-lug at linuxmafia.com
> http://linuxmafia.com/mailman/listinfo/sf-lug
> Information about SF-LUG is at http://www.sf-lug.org/

More information about the sf-lug mailing list